devel/ruby-red-datasets - The NetBSD Packages Collection

Provide common datasets such as iris dataset

Red Datasets

Red Datasets provides classes that provide common datasets such as iris
dataset.

You can use datasets easily because you can access each dataset with
multiple ways such as #each and Apache Arrow Record Batch.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

archivers/ruby-zip lang/ruby27-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby26-red-datasets-0.1.2.tgz
NetBSD 8.0earmv7hfruby27-red-datasets-0.1.2.tgz
NetBSD 8.0i386ruby26-red-datasets-0.1.2.tgz
NetBSD 8.0i386ruby27-red-datasets-0.1.2.tgz
NetBSD 8.0powerpcruby26-red-datasets-0.1.2.tgz
NetBSD 8.0powerpcruby27-red-datasets-0.1.2.tgz
NetBSD 8.0powerpcruby26-red-datasets-0.1.2.tgz
NetBSD 8.0powerpcruby27-red-datasets-0.1.2.tgz
NetBSD 8.0x86_64ruby26-red-datasets-0.1.2.tgz
NetBSD 8.0x86_64ruby27-red-datasets-0.1.2.tgz
NetBSD 9.0aarch64ruby26-red-datasets-0.1.2.tgz
NetBSD 9.0aarch64ruby27-red-datasets-0.1.2.tgz
NetBSD 9.0aarch64ruby30-red-datasets-0.1.2.tgz
NetBSD 9.0alpharuby26-red-datasets-0.1.2.tgz
NetBSD 9.0alpharuby27-red-datasets-0.1.2.tgz
NetBSD 9.0earmv6hfruby26-red-datasets-0.1.2.tgz
NetBSD 9.0earmv6hfruby27-red-datasets-0.1.2.tgz
NetBSD 9.0earmv6hfruby30-red-datasets-0.1.2.tgz
NetBSD 9.0earmv7hfruby26-red-datasets-0.1.2.tgz
NetBSD 9.0earmv7hfruby27-red-datasets-0.1.2.tgz
NetBSD 9.0earmv7hfruby30-red-datasets-0.1.2.tgz
NetBSD 9.0earmv7hfruby26-red-datasets-0.1.2.tgz
NetBSD 9.0earmv7hfruby27-red-datasets-0.1.2.tgz
NetBSD 9.0earmv7hfruby30-red-datasets-0.1.2.tgz
NetBSD 9.0i386ruby26-red-datasets-0.1.2.tgz
NetBSD 9.0i386ruby27-red-datasets-0.1.2.tgz
NetBSD 9.0i386ruby30-red-datasets-0.1.2.tgz
NetBSD 9.0mips64ebruby26-red-datasets-0.1.2.tgz
NetBSD 9.0mips64ebruby27-red-datasets-0.1.2.tgz
NetBSD 9.0mips64ebruby30-red-datasets-0.1.2.tgz
NetBSD 9.0mipselruby27-red-datasets-0.1.2.tgz
NetBSD 9.0mipselruby30-red-datasets-0.1.2.tgz
NetBSD 9.0powerpcruby26-red-datasets-0.1.2.tgz
NetBSD 9.0powerpcruby27-red-datasets-0.1.2.tgz
NetBSD 9.0powerpcruby30-red-datasets-0.1.2.tgz
NetBSD 9.0powerpcruby26-red-datasets-0.1.2.tgz
NetBSD 9.0powerpcruby27-red-datasets-0.1.2.tgz
NetBSD 9.0powerpcruby30-red-datasets-0.1.2.tgz
NetBSD 9.0sparc64ruby26-red-datasets-0.1.2.tgz
NetBSD 9.0sparc64ruby27-red-datasets-0.1.2.tgz
NetBSD 9.0sparc64ruby30-red-datasets-0.1.2.tgz
NetBSD 9.0x86_64ruby26-red-datasets-0.1.2.tgz
NetBSD 9.0x86_64ruby27-red-datasets-0.1.2.tgz
NetBSD 9.0x86_64ruby30-red-datasets-0.1.2.tgz
NetBSD 9.0x86_64ruby26-red-datasets-0.1.2.tgz
NetBSD 9.0x86_64ruby27-red-datasets-0.1.2.tgz
NetBSD 9.0x86_64ruby30-red-datasets-0.1.2.tgz
NetBSD 9.0x86_64ruby26-red-datasets-0.1.2.tgz
NetBSD 9.0x86_64ruby27-red-datasets-0.1.2.tgz
NetBSD 9.0x86_64ruby30-red-datasets-0.1.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.